## horizon 23.1.0

=== debian/changelog ===
horizon (4:23.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * Refresh xstatic assets.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-swift-allow-object-creation.patch: Cherry-picked from
    upstream to fix swift uploads (LP: #1993005).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Mar 2023 08:28:10 -0400

horizon (4:23.0.0+git2023030315.d4b73ed1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * d/bundle-xstatic.sh: Create build-area directory if it doesn't exist.
  * Refresh xstatic assets.
  * d/bundle-xstatic.sh: Ensure proper commit message when refreshing xstatic.
  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Mar 2023 15:02:37 -0500

horizon (4:23.0.0+git2023011009.aec63403-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:51:57 -0500

horizon (4:23.0.0+git2022121319.217d94d33-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Dec 2022 19:37:41 -0500

horizon (4:23.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 23.x series.
  * New upstream release for OpenStack Zed.
  * d/p/ubuntu_settings.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 14:53:17 -0400

horizon (4:22.2.0+git2022091212.0b1dd3d89-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 12:52:04 -0400

horizon (4:22.2.0+git2022071815.f3767aba9-0ubuntu3) kinetic; urgency=medium

  * d/p/django-4-fix-csrf-reasons-list.patch: Cherry-pick to deal with removal
    of features in django 4.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 Jul 2022 15:24:21 -0400

horizon (4:22.2.0+git2022071815.f3767aba9-0ubuntu2) kinetic; urgency=medium

  * d/p/ubuntu_settings.patch: ALLOWED_HOSTS must be a list with django 4.x.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 Jul 2022 11:07:38 -0400

horizon (4:22.2.0+git2022071815.f3767aba9-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/openstack-dashboard.postinst: CIS hardening update to switch adduser to
    use /usr/sbin/nologin when creating system account that does not run a
    shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:20:47 -0400

horizon (4:22.1.0+git2022060209.1f9a184de-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 09:52:35 -0400

horizon (4:22.1.0-0ubuntu2) jammy; urgency=medium

  * d/theme/ubuntu: update ubuntu dashboard theme with new images and
    stylesheet.

 -- Billy Olsen <billy.olsen@canonical.com>  Fri, 08 Apr 2022 10:41:30 -0700

horizon (4:22.1.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 22.x series.
  * New upstream release for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 17:00:09 -0400

horizon (4:21.0.0+git2022030313.dd9e4c82b-0ubuntu2) jammy; urgency=medium

  * d/control: Drop min version of python-django back to 2:2.2. Upstream
    has moved to min version of 3.2 with no related changes.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Mar 2022 17:21:02 -0500

horizon (4:21.0.0+git2022030313.dd9e4c82b-0ubuntu1) jammy; urgency=medium

  * d/bundle-xstatic.sh: Ensure xstatic asset versions are confined by the
    corresponding upper-constraints branch.
  * d/bundle-xstatic.sh, d/README.source: Unpack xstatic assets into ./xstatic/
    directory of source package as part of the bundle.xstatic.sh script. This
    will allow for patching xstatic assets in the future.
  * New upstream snapshot for OpenStack Yoga.
  * d/bundle-xstatic.sh: Drop --system as it is no longer a flag on new
    pip3 releases, and is the default method.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:03:21 -0500

horizon (4:20.2.0+git2022011216.8fe5bbc8d-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 16:37:49 -0500

horizon (4:20.2.0+git2021120911.fc1012628-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Align (Build-)Depends with upstream.
  * d/bundle-xstatic.sh: Place xstatic orig tarball in ../build-area now
    that git-buildpackage supports multiple orig tarballs.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 11:18:32 -0500

## horizon 23.2.0

=== debian/changelog ===
horizon (4:23.2.0-0ubuntu2~cloud2) jammy-antelope; urgency=medium

  * Fix shebang in manage.py to support the postinst changes from previous
    version (LP: #2045394)
    - d/p/lp2045394-Fix-manage-py-to-use-python3.patch
    - d/p/lp2045394-Fix-runtime-detection-in-virtualenv.patch

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Wed, 30 Jul 2025 08:35:50 -0500

horizon (4:23.2.0-0ubuntu2~cloud1) jammy-antelope; urgency=medium

  * d/openstack-dashboard.postinst: Retry compress to avoid race condition in
    pyscss. Thanks to Santiago Vila <sanvila@debian.org> and Thomas Goirand
    <zigo@debian.org> (LP: #2045394)

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Thu, 03 Apr 2025 16:20:56 -0500

horizon (4:23.2.0-0ubuntu2~cloud0) jammy-antelope; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp1728031.patch: Fix admin unable to reset user's password.
    (LP: #1728031)
  * d/p/lp2055409.patch: apply config OPENSTACK_INSTANCE_RETRIEVE_IP_ADDRESSES
    to the instance details page (LP: #2055409)

  [ Zhang Hua ]
  * d/p/lp2054799.patch: Fix Users/Groups tab list when a domain
    context is set. (LP: #2054799)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 09 Jul 2024 13:21:44 +0200

horizon (4:23.2.0-0ubuntu1) lunar; urgency=medium

  * d/gbp.conf: Create stable/2023.1 branch.
  * New stable point release for OpenStack Antelope (LP: #2030514).
  * d/p/fix-swift-allow-object-creation.patch: Dropped. Fixed in point release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 04 May 2023 10:04:23 +0200

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.6.0),
 python3-bandit (>= 1.4.0),
 python3-cinderclient (>= 1:8.0.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-django (>= 3.2),
 python3-django-compressor (>= 2.4.1),
 python3-django-debreach (>= 1.4.2),
 python3-django-pyscss (>= 2.0.2),
 python3-doc8,
 python3-enmerkar (>= 0.7.1),
 python3-freezegun (>= 0.3.15),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 4.3.1),
 python3-keystoneclient (>= 1:3.22.0),
 python3-memcache (>= 1.59),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:8.1.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.8.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.serialization (>= 4.3.0),
 python3-oslo.upgradecheck (>= 1.5.0),
 python3-oslo.utils (>= 4.12.0),
 python3-osprofiler (>= 3.4.2),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.4.0),
 python3-pytest (>= 5.3.5),
 python3-pytest-django (>= 3.8.0),
 python3-requests (>= 2.25.1),
 python3-selenium (>= 2.50.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.16.0),
 python3-swiftclient (>= 1:3.9.0-0ubuntu1.1~),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-xvfbwrapper (>= 0.1.3),
 python3-yaml (>= 6.0),
Standards-Version: 4.6.1
Homepage: https://launchpad.net/horizon
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3 (>= 2.3),
 python3-django-horizon (= ${source:Version}),
 ${misc:Depends},
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends:
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
Description: Transitional dummy package for Ubuntu theme for Horizon
 This transitional package is safe to remove and use openstack-dashboard
 instead, which now contains the Ubuntu theme.

Package: python3-django-horizon
Section: python
Architecture: all
Depends:
 openstack-dashboard-common (= ${binary:Version}),
 python3-django-openstack-auth (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 memcached,
Description: Django module providing web based interaction with OpenStack (Python 3)
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.
 .
 This package provides the Python 3 module.

Package: python3-django-openstack-auth
Architecture: all
Depends:
 python3-babel (>= 2.6.0),
 python3-cinderclient (>= 1:8.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-django (>= 3.2),
 python3-django-compressor (>= 2.4.1),
 python3-django-debreach (>= 1.4.2),
 python3-django-pyscss (>= 2.0.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 4.3.1),
 python3-keystoneclient (>= 1:3.22.0),
 python3-memcache,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:8.1.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.8.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.serialization (>= 4.3.0),
 python3-oslo.upgradecheck (>= 1.5.0),
 python3-oslo.utils (>= 4.12.0),
 python3-osprofiler (>= 3.4.2),
 python3-pbr (>= 5.5.0),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.4.0),
 python3-requests (>= 2.25.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.16.0),
 python3-swiftclient (>= 1:3.9.0-0ubuntu1.1~),
 python3-tz (>= 2013.6),
 python3-yaml (>= 6.0),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 python3-openstack-auth,
 ${python3:Provides},
Description: Django authentication backend for Openstack - Python 3
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 3 module.

Package: openstack-dashboard-common
Architecture: all
Depends:
 ${misc:Depends},
Description: Django web interface for OpenStack - common files
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.
 .
 This package provides common files.

## horizon 23.2.0+git2023071214.e6f39871

=== debian/changelog ===
horizon (4:23.2.0+git2023071214.e6f39871-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * Refresh xstatic assets.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 14:21:09 -0400

## horizon 23.3.0

=== requirements.txt ===
# Note: Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so there is no guarantee of having them all correct.
# if you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
#
# PBR should always appear first
pbr>=5.5.0 # Apache-2.0

# Horizon Core Requirements
Babel>=2.6.0 # BSD
debtcollector>=1.2.0 # Apache-2.0
Django>=3.2,<3.3 # BSD
django-compressor>=2.4.1 # MIT
django-debreach>=1.4.2 # BSD License (2 clause)
django-pyscss>=2.0.2 # BSD License (2 clause)
futurist>=1.2.0 # Apache-2.0
iso8601>=0.1.11 # MIT
keystoneauth1>=4.3.1 # Apache-2.0
netaddr>=0.7.18 # BSD
oslo.concurrency>=4.5.0 # Apache-2.0
oslo.config>=8.8.0 # Apache-2.0
oslo.i18n>=5.1.0 # Apache-2.0
oslo.policy>=3.11.0 # Apache-2.0
oslo.serialization>=4.3.0 # Apache-2.0
oslo.upgradecheck>=1.5.0 # Apache-2.0
oslo.utils>=4.12.0 # Apache-2.0
osprofiler>=3.4.2 # Apache-2.0
pymongo!=3.1,>=3.0.2 # Apache-2.0
pyScss>=1.4.0 # MIT License
python-cinderclient>=8.0.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.22.0 # Apache-2.0
python-neutronclient>=8.1.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=6.0 # MIT
requests>=2.25.1 # Apache-2.0
six>=1.16.0 # MIT
semantic-version>=2.3.1 # BSD
XStatic>=1.0.3 # MIT License
XStatic-Angular>=1.8.2.2 # MIT License
XStatic-Angular-Bootstrap>=2.2.0.0 # MIT License
XStatic-Angular-FileUpload>=12.0.4.0 # MIT License
XStatic-Angular-Gettext>=2.3.8.0 # MIT License
XStatic-Angular-lrdragndrop>=1.0.2.2 # MIT License
XStatic-Angular-Schema-Form>=0.8.13.0 # MIT
XStatic-Bootstrap-Datepicker>=1.3.1.0 # Apache 2.0 License
XStatic-Bootstrap-SCSS>=3.3.7.1 # Apache 2.0 License
XStatic-bootswatch>=3.3.7.0 # MIT License
XStatic-D3>=3.5.17.0 # BSD License (3 clause)
XStatic-Hogan>=2.0.0.2 # Apache 2.0 License
XStatic-Font-Awesome>=4.7.0.0 # SIL OFL 1.1 License, MIT License
XStatic-Jasmine>=2.4.1.1 # MIT License
XStatic-jQuery>=3.5.1.1 # MIT License
XStatic-JQuery-Migrate>=3 # MIT License
XStatic-JQuery.quicksearch>=2.0.3.1 # MIT License
XStatic-JQuery.TableSorter>=2.14.5.1 # MIT License
XStatic-jquery-ui>=1.12.1.1 # MIT License
XStatic-JSEncrypt>=2.3.1.1 # MIT License
XStatic-mdi>=1.6.50.2 # SIL OPEN FONT LICENSE Version 1.1
XStatic-objectpath>=1.2.1.0 # MIT
XStatic-Rickshaw>=1.5.0.0 # BSD License (prior)
XStatic-roboto-fontface>=0.5.0.0 # Apache 2.0 License
XStatic-smart-table>=1.4.13.2 # MIT License
XStatic-Spin>=1.2.5.2 # MIT License
XStatic-term.js>=0.0.7.0 # MIT License
XStatic-tv4>=1.2.7.0 # MIT

# enmerkar is not a runtime requirement.
# It is only required when extracting translation strings.
# Most horizon plugins do not have enmerkar in their requirements.txt
# and they depends on horizon requirements, so we keep it here.
enmerkar>=0.7.1 # BSD

=== debian/changelog ===
horizon (4:23.3.0-0ubuntu1.2~cloud1) jammy-bobcat; urgency=medium

  * d/openstack-dashboard.postinst: Retry compress to avoid race condition in
    pyscss. Thanks to Santiago Vila <sanvila@debian.org> and Thomas Goirand
    <zigo@debian.org> (LP: #2045394)

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Thu, 03 Apr 2025 16:28:05 -0500

horizon (4:23.3.0-0ubuntu1.2) mantic; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp1728031.patch: Fix admin unable to reset user's password.
    (LP: #1728031)
  * d/p/lp2055409.patch: apply config OPENSTACK_INSTANCE_RETRIEVE_IP_ADDRESSES
    to the instance details page (LP: #2055409)

  [ Zhang Hua ]
  * d/p/lp2054799.patch: Fix Users/Groups tab list when a domain
    context is set. (LP: #2054799)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 05 Jun 2024 11:18:36 -0300

horizon (4:23.3.0-0ubuntu1.1) mantic; urgency=medium

  * d/p/ubuntu_settings.patch, d/p/switch-to-pymemcachecache-backend.patch,
    d/control: Switch to python3-pymemcache and PyMemcacheCache driver as
    the Django MemcachedCache backend was removed in Django 4.1 in favor of
    the PyMemcacheCache or PyLibMCCache backend (LP: #2039225).
  * d/p/ubuntu_settings.patch: Rebase and apply on top of
    switch-to-pymemcachecache-backend.patch.
  * d/gbp.conf: Create stable/2023.2 branch.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Oct 2023 14:38:06 -0400

horizon (4:23.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:56:58 -0400

horizon (4:23.2.0+git2023090509.7896fd8c-0ubuntu2) mantic; urgency=medium

  * d/p/fix-test-failures-with-Django-4.x.patch: Fix test failure exposed
    by manila-ui unit test usage of horizon.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Sep 2023 14:27:54 -0400

horizon (4:23.2.0+git2023090509.7896fd8c-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * Refresh xstatic assets.
  * Refresh xstatic assets.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 09:20:32 -0400

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  python3-iso8601 (>= 0.1.11),
  python3-keystoneauth1 (>= 4.3.1),
  python3-keystoneclient (>= 1:3.22.0),
- python3-memcache (>= 1.59),
+ python3-pymemcache,
  python3-mock (>= 2.0.0),
  python3-mox3 (>= 0.20.0),
  python3-netaddr (>= 0.7.18),
@@ -118,7 +118,7 @@
  python3-iso8601 (>= 0.1.11),
  python3-keystoneauth1 (>= 4.3.1),
  python3-keystoneclient (>= 1:3.22.0),
- python3-memcache,
+ python3-pymemcache,
  python3-netaddr (>= 0.7.18),
  python3-neutronclient (>= 1:8.1.0),
  python3-novaclient (>= 2:9.1.0),

## horizon 23.3.1

=== debian/changelog ===
horizon (3:23.3.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Refreshed fix-horizon-tests.patch.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 13:23:48 +0000

horizon (3:23.3.0-2) UNRELEASED; urgency=medium

  * Add Forwarded: URL for fix-horizon-tests.patch.
  * Add Allow_non-admins_to_cold_migrate_instances.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 15:27:30 +0200

horizon (3:23.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Fix (build-)depends for this release.
  * Drop patches applied upstream:
    - fix-manage.py-sheebang.patch
    - Add-totp-support.patch
  * Fix FTBFS (Closes: #1052885):
    - Fix the way we're ignoring integration_tests and selenium tests.
    - Add fix-horizon-tests.patch.
    - Add Fix_test_failures_with_Django_4.x.patch.
    - Add "and not SeleniumTests" when running tests.
    - Add use-pymemcache.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Sep 2023 16:56:56 +0200

horizon (3:23.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 16:58:46 +0200

horizon (3:23.1.0-5) unstable; urgency=medium

  * Update the TOTP patch.
  * Update es.po debconf translations (Closes: #1017453).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Aug 2023 09:14:10 +0200

horizon (3:23.1.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1049184).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 14:19:24 +0200

horizon (3:23.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:19:51 +0200

horizon (3:23.1.0-2) experimental; urgency=medium

  * Removed relax-python-yaml-depends.patch, not needed anymore.
  * Add Add-totp-support.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 08 Jun 2023 12:34:24 +0200

horizon (3:23.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions, satisfied in Bookworm.
  * Removed Breaks/Replaces/Conflicts, now obsolete after Bookworm.
  * Removed dpkg-maintscript-helper calls.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Mar 2023 19:06:50 +0100

=== debian/control ===
Source: horizon
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
 Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 gettext,
 python3-babel,
 python3-cinderclient,
 python3-coverage <!nocheck>,
 python3-debtcollector,
 python3-django,
 python3-django-compressor,
 python3-django-debreach,
 python3-django-pyscss,
 python3-enmerkar,
 python3-futurist,
 python3-freezegun,
 python3-glanceclient,
 python3-hacking <!nocheck>,
 python3-iso8601 <!nocheck>,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-memcache,
 python3-netaddr <!nocheck>,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackdocstheme,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pep8 <!nocheck>,
 python3-pymemcache,
 python3-pymongo <!nocheck>,
 python3-pyscss,
 python3-pytest,
 python3-pytest-django,
 python3-pytest-xdist,
 python3-redis,
 python3-requests,
 python3-selenium <!nocheck>,
 python3-semantic-version,
 python3-six,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools <!nocheck>,
 python3-tz <!nocheck>,
 python3-xstatic (>= 1.0.3),
 python3-xstatic-angular,
 python3-xstatic-angular-bootstrap,
 python3-xstatic-angular-fileupload,
 python3-xstatic-angular-gettext,
 python3-xstatic-angular-lrdragndrop,
 python3-xstatic-angular-schema-form,
 python3-xstatic-angular-ui-router,
 python3-xstatic-bootstrap-datepicker,
 python3-xstatic-bootstrap-scss,
 python3-xstatic-bootswatch,
 python3-xstatic-d3,
 python3-xstatic-font-awesome,
 python3-xstatic-hogan,
 python3-xstatic-jasmine,
 python3-xstatic-jquery (>= 3.5.1.1),
 python3-xstatic-jquery-migrate (>= 3),
 python3-xstatic-jquery-ui,
 python3-xstatic-jquery.quicksearch,
 python3-xstatic-jquery.tablesorter,
 python3-xstatic-jsencrypt,
 python3-xstatic-magic-search,
 python3-xstatic-mdi,
 python3-xstatic-objectpath,
 python3-xstatic-rickshaw,
 python3-xstatic-roboto-fontface,
 python3-xstatic-smart-table,
 python3-xstatic-spin,
 python3-xstatic-term.js,
 python3-xstatic-tv4,
 python3-xvfbwrapper,
 python3-yaml <!nocheck>,
Build-Conflicts:
 python3-django-openstack-auth,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/horizon
Vcs-Git: https://salsa.debian.org/openstack-team/services/horizon.git
Homepage: https://horizon.openstack.org

Package: horizon-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: web application to control an OpenStack cloud - doc
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package contains the documentation.

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 libjs-jquery,
 libjs-jquery-cookie,
 python3-django-horizon (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 memcached,
 openstack-dashboard-apache,
Description: web application to control an OpenStack cloud
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Depends:
 apache2,
 debconf,
 libapache2-mod-wsgi-py3,
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
Description: web application to control an OpenStack cloud - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

Package: python3-django-horizon
Section: python
Architecture: all
Depends:
 python3-babel,
 python3-cinderclient,
 python3-debtcollector,
 python3-django,
 python3-django-compressor,
 python3-django-debreach,
 python3-django-pyscss,
 python3-enmerkar,
 python3-futurist,
 python3-glanceclient,
 python3-iso8601,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-memcache,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.i18n,
 python3-oslo.policy,
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-pbr,
 python3-pymemcache,
 python3-pymongo,
 python3-pyscss,
 python3-redis,
 python3-requests,
 python3-semantic-version,
 python3-six,
 python3-swiftclient,
 python3-tz,
 python3-xstatic (>= 1.0.3),
 python3-xstatic-angular,
 python3-xstatic-angular-bootstrap,
 python3-xstatic-angular-fileupload,
 python3-xstatic-angular-gettext,
 python3-xstatic-angular-lrdragndrop,
 python3-xstatic-angular-schema-form,
 python3-xstatic-angular-ui-router,
 python3-xstatic-bootstrap-datepicker,
 python3-xstatic-bootstrap-scss,
 python3-xstatic-bootswatch,
 python3-xstatic-d3,
 python3-xstatic-font-awesome,
 python3-xstatic-hogan,
 python3-xstatic-jasmine,
 python3-xstatic-jquery (>= 3.5.1.1),
 python3-xstatic-jquery-migrate (>= 3),
 python3-xstatic-jquery-ui,
 python3-xstatic-jquery.quicksearch,
 python3-xstatic-jquery.tablesorter,
 python3-xstatic-jsencrypt,
 python3-xstatic-magic-search,
 python3-xstatic-mdi,
 python3-xstatic-objectpath,
 python3-xstatic-rickshaw,
 python3-xstatic-roboto-fontface,
 python3-xstatic-smart-table,
 python3-xstatic-spin,
 python3-xstatic-term.js,
 python3-xstatic-tv4,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 python3-django-openstack-auth,
Suggests:
 memcached,
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean
	find . -iname '*.mo' -delete
	rm -rf build .coverage .pytest_cache
	rm -rf $(CURDIR)/static
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
	rm -rf doc/source/sourcecode
	rm -rf $(CURDIR)/doc/build
	rm -f horizon/openstack_dashboard/test/.secret_key_store
	find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete
	rm -rf .eggs
	rm -f AUTHORS
	rm -f ChangeLog
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	rm -f openstack_dashboard/locale/djangojs.pot openstack_dashboard/locale/django.pot openstack_dashboard/local/_build_horizon* .test_secret_key_store.lock horizon/locale/django.pot horizon/locale/djangojs.pot
	rm -f openstack_auth/locale/django.pot openstack_auth/locale/djangojs.pot
	rm -f openstack_dashboard/local/.secret_key_store

override_dh_auto_build:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/horizon-doc/usr/share/doc/horizon-doc/html
endif

override_dh_auto_install:

	# Compile language files
	chmod +x debian/compile-messages
	$(CURDIR)/debian/compile-messages

	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install \
			--install-layout=deb \
			--root $(CURDIR)/debian/tmp \
			--no-compile -O0; \
	done

	# Prepare openstack-dashboard folder and copy manage.py
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	cp $(CURDIR)/manage.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Move themes folder to standard location
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/themes \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Create /etc/openstack-dashboard/ and move policy files into
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard/
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/conf \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/policy

	# Move conf to standard location
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/
	rm -f $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/__init__.py
	rm -f $(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/*.example

	# Move wsgi file to standard location
	mv $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/wsgi.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Move local_settings.d to /etc and modify local_settings.py
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.d \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/
	rm -f $(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.d/*.example

	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples/local_settings.py

	# Secret key has to be replaced here
	sed -i -e 's/os.path.join(LOCAL_PATH,/os.path.join("\/","var","lib","openstack-dashboard","secret-key",/' $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples/local_settings.py

	# Set debug to false in local.settings.d not working as expected
	# So, it needs to be replaced to false directly in local_settings.py
	sed -i -e 's/DEBUG = True/DEBUG = False/g' $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/examples/local_settings.py

	# Move osprofiler conf files to be enabled to standard location
	# and remove /usr/lib/python3/dist-packages/openstack_dashboard/contrib/developer/enabled
	mv -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/contrib/developer/enabled/_[0-9]*.py \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/enabled/
	rm -rf $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/contrib/developer/enabled

	# Remove secret_key_store as we will use it in /var/lib/
	rm -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/.secret_key_store

	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;

	## Delete not needed files
	rm -f $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/_build*.lock

	dh_install
	dh_missing --fail-missing
	find $(CURDIR)/debian -iname .eslintrc -delete

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Blacklist:
	# test_site_branding_tag: https://bugs.launchpad.net/horizon/+bug/1980214
	# We should add --compilemessages when the .mo are removed.
	# Ignore openstack_dashboard/dashboards/project/backups/tests.py,
	# see https://bugs.debian.org/1026610 and https://github.com/python/cpython/commit/92a6abf72e7a8274f96edbb5297119d4ff055be7
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		http_proxy=127.0.0.1:9 https_proxy=127.0.0.9:9 \
		HTTP_PROXY=127.0.0.1:9 HTTPS_PROXY=127.0.0.1:9 \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest horizon/test/ -n $$(nproc --all) -v --ds=horizon.test.settings -m "not selenium and not integration" ; \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest openstack_dashboard -v --ds=openstack_dashboard.test.settings --ignore openstack_dashboard/dashboards/project/backups/tests.py --ignore openstack_dashboard/test/integration_tests --ignore openstack_dashboard/test/selenium -k "not selenium and not integration and not test_instance_details_metadata" ; \
		PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages PYTHON=python$$i python$$i -m coverage run -a -m pytest openstack_auth/tests -n $$(nproc --all) -v --ds=openstack_auth.tests.settings -m "not selenium and not integration" ; \
	done
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## horizon 24.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
# Order matters to the pip dependency resolver, so sorting this file
# changes how packages are installed.  New dependencies should be
# added in alphabetical order, however, some dependencies may need to
# be installed in a specific order.
openstackdocstheme>=2.2.0 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
doc8>=0.8.1 # Apache-2.0

# The below is rewquired to build testing module reference
mock>=2.0.0 # BSD
pytest>=5.3.5 # MIT

=== debian/changelog ===
horizon (3:24.0.0-2) unstable; urgency=medium

  * Declare 4.4 as min version for python3-django-compressor.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 16:00:43 +0200

horizon (3:24.0.0-1) experimental; urgency=medium

  * Add Forwarded: URL for fix-horizon-tests.patch.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Drop patches applied upstream:
    - django-4.x-csrf-reasons.patch
    - Make-site_branding-tag-work-with-Django-4.0.patch
    - Fix_test_failures_with_Django_4.x.patch
    - use-dummy-cache.patch
    - fix-horizon-tests.patch
  * Rebase remove-test_rbac_panels.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 18 Mar 2024 09:51:55 +0100

## horizon 24.0.1

=== requirements.txt ===
--- 
+++ 
@@ -16,10 +16,10 @@
 # Horizon Core Requirements
 Babel>=2.6.0 # BSD
 debtcollector>=1.2.0 # Apache-2.0
-Django>=3.2,<3.3 # BSD
+Django>=4.2,<4.3 # BSD
 django-compressor>=2.4.1 # MIT
 django-debreach>=1.4.2 # BSD License (2 clause)
-django-pyscss>=2.0.2 # BSD License (2 clause)
+django-pyscss>=2.0.3 # BSD License (2 clause)
 futurist>=1.2.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
 keystoneauth1>=4.3.1 # Apache-2.0
@@ -43,7 +43,6 @@
 pytz>=2013.6 # MIT
 PyYAML>=6.0 # MIT
 requests>=2.25.1 # Apache-2.0
-six>=1.16.0 # MIT
 semantic-version>=2.3.1 # BSD
 XStatic>=1.0.3 # MIT License
 XStatic-Angular>=1.8.2.2 # MIT License

=== debian/changelog ===
horizon (4:24.0.1-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. (LP: #2110279)
  * d/p/lp2054799.patch: drop integrated patch

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Mon, 16 Jun 2025 12:38:28 +0200

horizon (4:24.0.0-0ubuntu1.3) noble; urgency=medium

  * d/openstack-dashboard.postinst: Retry compress to avoid race condition in
    pyscss. Thanks to Santiago Vila <sanvila@debian.org> and Thomas Goirand
    <zigo@debian.org> (LP: #2045394)

 -- Wesley Hershberger <wesley.hershberger@canonical.com>  Thu, 03 Apr 2025 13:05:02 -0500

horizon (4:24.0.0-0ubuntu1.2) noble; urgency=medium

  * d/u/_styles.scss: use static_url variable instead of absolute path
    (LP: #2067632).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 11 Jul 2024 11:08:03 +0100

horizon (4:24.0.0-0ubuntu1.1) noble; urgency=medium

  [ Rodrigo Barbieri ]
  * d/p/lp1728031.patch: Fix admin unable to reset user's password.
    (LP: #1728031)

  [ Zhang Hua ]
  * d/p/lp2054799.patch: Fix Users/Groups tab list when a domain
    context is set. (LP: #2054799)

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Tue, 04 Jun 2024 16:52:08 -0300

horizon (4:24.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 
  * Refresh xstatic assets.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2024 15:24:04 +0000

horizon (4:23.4.0+git2024011916.a77818d7-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.
  * Refresh xstatic assets.
  * d/control: Align (Build-)Depends with upstream.
  * Drop patches included upstream:
    - d/p/django-4-fix-csrf-reasons-list.patch
    - d/p/fix-test-failures-with-Django-4.x.patch
    - d/p/switch-to-pymemcachecache-backend.patch

 -- James Page <james.page@ubuntu.com>  Tue, 23 Jan 2024 13:00:57 +0000

horizon (4:23.3.0-0ubuntu2) noble; urgency=medium

  * d/p/ubuntu_settings.patch, d/p/switch-to-pymemcachecache-backend.patch,
    d/control: Switch to python3-pymemcache and PyMemcacheCache driver as
    the Django MemcachedCache backend was removed in Django 4.1 in favor of
    the PyMemcacheCache or PyLibMCCache backend (LP: #2039225).
  * d/p/ubuntu_settings.patch: Rebase and apply on top of
    switch-to-pymemcachecache-backend.patch.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Oct 2023 17:17:26 -0400

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 5.5.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-astroid (>= 2.1.0),
 python3-babel (>= 2.6.0),
 python3-bandit (>= 1.4.0),
 python3-cinderclient (>= 1:8.0.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-django (>= 3.2),
 python3-django-compressor (>= 2.4.1),
 python3-django-debreach (>= 1.4.2),
 python3-django-pyscss (>= 2.0.2),
 python3-doc8,
 python3-enmerkar (>= 0.7.1),
 python3-freezegun (>= 0.3.15),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 4.3.1),
 python3-keystoneclient (>= 1:3.22.0),
 python3-pymemcache (>= 4.0.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:8.1.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.8.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.serialization (>= 4.3.0),
 python3-oslo.upgradecheck (>= 1.5.0),
 python3-oslo.utils (>= 4.12.0),
 python3-osprofiler (>= 3.4.2),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.4.0),
 python3-pytest (>= 5.3.5),
 python3-pytest-django (>= 3.8.0),
 python3-requests (>= 2.25.1),
 python3-selenium (>= 2.50.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.16.0),
 python3-swiftclient (>= 1:3.9.0-0ubuntu1.1~),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-xvfbwrapper (>= 0.1.3),
 python3-yaml (>= 6.0),
Standards-Version: 4.6.1
Homepage: https://launchpad.net/horizon
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/horizon

Package: openstack-dashboard
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3 (>= 2.3),
 python3-django-horizon (= ${source:Version}),
 ${misc:Depends},
Description: Django web interface for OpenStack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends:
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
Description: Transitional dummy package for Ubuntu theme for Horizon
 This transitional package is safe to remove and use openstack-dashboard
 instead, which now contains the Ubuntu theme.

Package: python3-django-horizon
Section: python
Architecture: all
Depends:
 openstack-dashboard-common (= ${binary:Version}),
 python3-django-openstack-auth (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 memcached,
Description: Django module providing web based interaction with OpenStack (Python 3)
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.
 .
 This package provides the Python 3 module.

Package: python3-django-openstack-auth
Architecture: all
Depends:
 python3-babel (>= 2.6.0),
 python3-cinderclient (>= 1:8.0.0),
 python3-debtcollector (>= 1.2.0),
 python3-django (>= 3.2),
 python3-django-compressor (>= 2.4.1),
 python3-django-debreach (>= 1.4.2),
 python3-django-pyscss (>= 2.0.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 4.3.1),
 python3-keystoneclient (>= 1:3.22.0),
 python3-pymemcache,
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:8.1.0),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.concurrency (>= 4.5.0),
 python3-oslo.config (>= 1:8.8.0),
 python3-oslo.i18n (>= 5.1.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.serialization (>= 4.3.0),
 python3-oslo.upgradecheck (>= 1.5.0),
 python3-oslo.utils (>= 4.12.0),
 python3-osprofiler (>= 3.4.2),
 python3-pbr (>= 5.5.0),
 python3-pint (>= 0.5),
 python3-pymongo (>= 3.0.2),
 python3-pyscss (>= 1.4.0),
 python3-requests (>= 2.25.1),
 python3-semantic-version (>= 2.3.1),
 python3-six (>= 1.16.0),
 python3-swiftclient (>= 1:3.9.0-0ubuntu1.1~),
 python3-tz (>= 2013.6),
 python3-yaml (>= 6.0),
 ${misc:Depends},
 ${python3:Depends},
Provides:
 python3-openstack-auth,
 ${python3:Provides},
Description: Django authentication backend for Openstack - Python 3
 Django authentication backend for use with the OpenStack Keystone Identity
 backend. This Python module is used by Horizon (the Openstack Dashport web
 GUI) to auth against Keystone.
 .
 This package provides the Python 3 module.

Package: openstack-dashboard-common
Architecture: all
Depends:
 ${misc:Depends},
Description: Django web interface for OpenStack - common files
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.
 .
 This package provides common files.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/horizon/ horizon-(\d.*)\.tar\.gz
